IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'IsArrLineMoved'
    WHERE SysObjects.Name = 'ArrangementLines'
)
BEGIN
  ALTER TABLE ArrangementLines ADD IsArrLineMoved BIT
END
GO
